﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpenQA.Selenium;
using OpenQA.Selenium.Chrome;
using OpenQA.Selenium.Support.UI;

namespace BasicWebSite.Tests
{
    [TestClass]
    public class RegisterTest
    {
        //Note the tests here do not follow best practices
        //Should follow AAA as well as be individual units
        //[TestMethod]
        //public void VerifyRegistration()
        //{
        //    IWebDriver driver = new ChromeDriver(@"C:\Users\CJ\Downloads\chromedriver_win32");
        //    driver.Url = "https://localhost:44326/";
        //    driver.Navigate().GoToUrl(@"https://localhost:44326/Account/Register");
            
        //    IWebElement txtEmail =
        //        driver.FindElement(By.CssSelector("input[id=Email]"));
        //    txtEmail.SendKeys("k@y.com");

        //    IWebElement txtPasswd =
        //        driver.FindElement(By.CssSelector("input[id=Password]"));
        //    txtPasswd.SendKeys("ThisIsATest3311!");

        //    IWebElement txtPasswdConfirm =
        //        driver.FindElement(By.CssSelector("input[id=ConfirmPassword]"));
        //    txtPasswdConfirm.SendKeys("ThisIsATest3311!");
        //    //#
        //    IWebElement submit = driver.FindElement(By.CssSelector("input[id=buttonID]"));
        //    submit.Click();

        //    IWebElement el =
        //       driver.FindElement(By.CssSelector("input[id=displayID"));
        //    string email = el.Text;

        //    if(email == "k@y.com")
        //    {

        //    }

        //    driver.Close();
        //}

        [TestMethod]
        public void VerifyDropDown()
        {
            IWebDriver driver = new ChromeDriver(@"C:\Users\CJ\Downloads\chromedriver_win32");
            driver.Url = "https://localhost:44326/";

            IWebElement el = driver.FindElement(By.XPath("//*[@id=\"one\"]"));
            var sl = new SelectElement(el);
            sl.SelectByValue("1");

            IWebElement el2 = driver.FindElement(By.XPath("//*[@id=\"two\"]"));
            var sl2 = new SelectElement(el2);
            sl2.SelectByValue("1");

            IWebElement combined =
                driver.FindElement(By.CssSelector("label[id=result]"));
            string result = combined.Text;
            driver.Close();

            Assert.AreEqual("11", result);

        }
    }
}
